const winston = require('winston');

const versionInfo = require('./versionInfo');
const { codeMapping } = require('./mappings');

module.exports.formatLevel = winston.format((info, opts) => {
  info.message.level = codeMapping[info.level];
  delete info.level;
  return info;
});

module.exports.addVersionInfo = winston.format((info, opts) => {
  info.message.projectName = versionInfo.projectName;
  info.message.buildNumber = versionInfo.buildNumber;
  info.message.commit = versionInfo.commit;
  return info;
});

module.exports.formatTimestamp = winston.format((info, opts) => {
  info.message.time = info.timestamp;
  delete info.timestamp;
  return info;
});
