const path = require('path');

const loadVersionInfo = (attempts = 1) => {
  if (attempts > 5) {
    // Return defaults
    return {
      projectName: null,
      buildNumber: null,
      commit: null
    };
  }
  // Need to resolve "." to get the path of the execution command
  let mainPath = path.resolve('.');
  if (attempts > 1) {
    mainPath = path.resolve(mainPath, '../'.repeat(attempts - 1));
  }
  try {
    return require(path.join(mainPath, 'version.json'));
  } catch (e) {
    return loadVersionInfo(attempts + 1);
  }
};

module.exports = loadVersionInfo();
